
Core - Feature # 62445

Status: Closed Priority: Should have
Author: Uwe Trotzek Category: Backend User Interface
Created: 2014-10-24 Assigned To:
Updated: 2015-03-23 Due date:
PHP Version: 5.5
Complexity: medium
Sprint Focus:
Subject: Possibility to define a list of tables to use pid for generating preview link in workspace module
Description

In the workspace module it is possible to click on the preview link for each element to open the preview of the related page. By default
this is only possible for tt_content and pages records because extension datarows are normally not stored on the same page where
the plugin is. Therefore the preview link would point on the sysfolder which is wrong.
For these kind of datarows it is possible to define (via pageTsConfig) a static pid for the preview:

options.workspaces.previewPageId

This works like a charme btw. :)

For some extensions (e.g. a certain ext we use) it would be nice to define a list of tables which are stored on the same pid as the
plugin. Therefore the preview page is the same as the pid of the record.

I'll implemented (and tested) this already in our environment and would suggest to implemend this into the core.

options.workspaces.usePidForTables {
   tx_myext_table1 = 1
   tx_myext_table2 = 1
}

Related issues:
related to Core - Task # 59144: Ease previewing custom record data in workspa... Under Review 2014-05-27

History
#1 - 2014-10-24 11:31 - Uwe Trotzek
- File 62445.patch added
- Target version deleted (next-patchlevel)

I'm sorry. As I figured out while providing the patch, this is a little bit more complicated. I missed that this is dependent from 
https://forge.typo3.org/issues/59144 which is not merged for 6.2 but I already integrated it to our core.

I don't know how to provide a patch which is dependent from another issue with gerrit so I'll add a path as a file.

#2 - 2015-03-12 15:20 - Oliver Hader

With issue #59144 it would be possible to define the following:

options.workspaces.previewPageId {
https://forge.typo3.org/issues/59144


  tx_myext_table1 = field:pid
  tx_myext_table2 = field:pid
}

I think that's enough already. Please let me know in case I misunderstood this issue.

#3 - 2015-03-12 15:20 - Oliver Hader
- Status changed from New to Needs Feedback

#4 - 2015-03-12 15:23 - Oliver Hader
- PHP Version set to 5.5
- Complexity set to medium

#5 - 2015-03-20 10:52 - Uwe Trotzek

Memo to myself: "read first, then ask!" ;)

You are absolutely right. I must have missed it. Please close this issue. Thank you!

Kind regards
Uwe

#6 - 2015-03-23 16:21 - Oliver Hader
- Status changed from Needs Feedback to Closed

Duplicate of #59144

Files
62445.patch 8.8 kB 2014-10-24 Uwe Trotzek
